function classificacaoFinanceira() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Financeiro', 'Classificação Financeira']);
		geral.esperarLoading();
	};

	this.adicionar = (codigo, descricao, codigoReceita) => {
		geral.clickAndFillFields('CDCLASSFINA', codigo,
			'DSCLASSFINA', descricao,
			'CDRECEDARF', codigoReceita);
	};

	this.editar = (descricao, codigoReceita) => {
		geral.fillFields('DSCLASSFINA', descricao,
			'CDRECEDARF', codigoReceita);
	};
}
module.exports = new classificacaoFinanceira();
